Subject: Re: bug#79257: 31.0.50; flymake's ruby-backend test fails with ruby 3.4.5

From: Dmitry Gutov <[email-masked]>
Date: Tue, 26 Aug 2025 05:00:11 +0300

On 26/08/2025 00:23, john muhl wrote:

>> Curiously, in my testing with ruby 3.4.5 the executable name is not
>> absolute, just 'ruby: '. That still works with your change.
> 
> It seems to output however ruby gets invoked; e.g.
> 
>    $ /usr/bin/ruby -wc o.rb
>    vs.
>    $ ruby -wc o.rb

Ah yeah, that happens.

It's different when going through rbenv's shim. I can invoke 
/home/dgutov/.rbenv/shims/ruby in full, the output will just have 'ruby'.

>> I wonder if you've managed to find the specific commit in Ruby that
>> did that (or bugs.ruby-lang.org entry).
>> This change log mentions some other changes in the output, but not
>> this:
>> https://www.ruby-lang.org/en/news/2024/12/25/ruby-3-4-0-released/
> 
> No. At first I thought it was something to do with the switch to
> the prism parser but using --parser=parse.y doesn’t change that
> part of the output.

Thanks for trying.